# -*- coding: utf-8 -*-
from openerp.http import request

_MODEL = 'res.bank.payments.type'

'''
    Get bank payment types
'''
def get_bank_payment_types():
    domain = [
        ('is_receipt', '=', True)
    ]

    return [
        {
            'id': type.id,
            'name': type.display_name,
            'isReceipt': type.is_receipt,
            'isPayment': type.is_payment,
            'fieldsAllowed': map(lambda x: x.strip(), (type.fields_allowed or []).split(',')),
            'subtype': type.subtype,
            'defaultState': type.default_state
        } for type in request.env[_MODEL].search(domain)
    ]